<template>
  <sui-modal
    v-model="visible"
    v-scroll-lock="visible"
    :animation-duration="1">

    <i
      class="icon close"
      @click="hide"/>
    <div class="header white"/>
    <div class="content">
      <div class="ui form">
        <div
          class="kit text center field"
          v-html="text"/>
      </div>
    </div>
    <div class="actions white">
      <flink
        v-if="button.buttonVisible"
        class="ui button yellow circular inmodal"
        role="link"
        :href="button.url"
        :domain="button.domain"
        target="_blank">
        {{ button.text }}
      </flink>
    </div>


  </sui-modal>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';
import {
  SET_SHOW,
  SET_HIDE,
} from '~/assets/js/store/infoModal/mutation-types';

const STORE_INFO_MODAL = createNamespacedHelpers('infoModal');

export default {
  name: 'InfoModal',
  computed: {
    ...STORE_INFO_MODAL.mapState({
      isVisible: 'show',
      text: 'text',
      button: 'button',
    }),
    visible: {
      get() {
        return this.isVisible;
      },
      set(newVal) {
        if (newVal) {
          this.show();
        } else {
          this.hide();
        }
      },
    },
  },
  methods: {
    ...STORE_INFO_MODAL.mapMutations({
      hide: SET_HIDE,
      show: SET_SHOW,
    }),
  },
};
</script>

<style scoped lang="scss">
  .kit.authorization {
    i.icon.eye {
      font-size: 1.125rem;
      color: #c5d1d9;
      opacity: 1 !important;
    }
    .form.block {
      #password[type='password'] + i.icon.eye:before {
        content: '◇';
      }
      #password[type='text'] + i.icon.eye:before {
        content: '◈';
      }
      .login.button.block {
        margin: 1em auto;
        max-width: 14em;
        button {
          width: 100%;
        }
      }
      .link.block {
        display: block;
        padding-top: 0.25rem;
        .ui.checkbox, .kit.aqualink {
          margin-bottom: 0.375rem;
        }
        .kit.aqualink.small {
          font-size: .8125rem;
          @media only screen and (max-width: 1024px) {
            font-size: .9375rem;
          }
        }
        .float-right {
          float: right;
        }

        @media only screen and (max-width: 345px) {
          .kit.aqualink {
            float: none;
            display: block;
            width: fit-content;
            margin-top: 0.5rem;
            margin-bottom: 1.5rem;
          }
        }
      }
    }

    .actions {
      text-align: center;
      .registration.link {
        font-size: 1rem;
        font-weight: 500;
        text-align: center;
        background: #4272A4;
        display: block;
        margin: 1em -2rem -1.5em;
        padding-top: 1.5em;
        padding-bottom: 1.5em;
        border-top: 1px solid #9badb9;
        color: #ffffff;
        &:hover {
          color: #ffffff;
          background-color: #345A81;
        }
      }
    }
    @media screen and (max-width: 767px) {
      .actions {
        .registration.link {
          margin: 1em -1.5rem -1.5em;
        }
      }
    }
  }

</style>
